%define name	jackeq
%define version	0.4.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	Live EQ console for JACK audio applications
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/jackeq/jackEQ-%{version}.tar.bz2
URL:		http://jackeq.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libjack-devel libxml2-devel gtk+2-devel gettext
Requires:	swh-plugins >= 0.4.2.20030819

%description
jackEQ is a tool for routing and manipulating audio from/to multiple
input/output sources. It runs in the JACK Audio Connection Kit, and uses
LADSPA for its backend DSP work, specifically the DJ EQ swh plugin created
by Steve Harris, one of jackEQ's main authors.

jackEQ is intended to provide an accessible method for tweaking the treble,
mid and bass of any JACK aware applications output. Designed specifically for
live performance, it is modelled on varous DJ mixing consoles which the main
author has used.

%prep
%setup -q -n jackEQ-%version

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="JackEQ" longtitle="Live EQ console for JACK" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Wed Dec 29 2004 Austin Acton <austin@mandrake.org> 0.4.0-1mdk
- 0.4.0
- source URL
- confiugre 2.5

* Thu Nov 13 2003 Austin Acton <aacton@yorku.ca> 0.3.6-1mdk
- 0.3.6

* Sat Oct 11 2003 Austin Acton <aacton@yorku.ca> 0.3.3-1mdk
- 0.3.3

* Tue Oct 7 2003 Austin Acton <aacton@yorku.ca> 0.3.2-0.20031007.1mdk
- initial package
